Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.serverless
Class GroupConnectionFactory

    java.lang.Object
      org.jboss.jms.serverless.GroupConnectionFactory

public class GroupConnectionFactory
extends java.lang.Object

Version:
  $Revision: 1.2 $ $Date: 2005/10/30 00:05:39 $
Author:
  Ovidiu Feodorov

Constructor Summary
`GroupConnectionFactory(java.lang.String stackConfigFileName)`

Method Summary
`Connection` | `createConnection()` The Connection is stopped, but it is active (ready to send and receive traffic), which means the method throws an exception if the group cannot be contacted for some reason.
`Connection` | `createConnection(java.lang.String userName, java.lang.String password)` The Connection is stopped, but it is active (ready to send and receive traffic), which means the method throws an exception if the group cannot be contacted for some reason.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupConnectionFactory

    public GroupConnectionFactory(java.lang.String stackConfigFileName)

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  The Connection is stopped, but it is active (ready to send and receive traffic), which means the method throws an exception if the group cannot be contacted for some reason.

  Throws:
    `JMSException`
  See Also:
    `javax.jms.ConnectionFactory#createConnection()`

### toString

    public java.lang.String toString()

### createConnection

    public Connection createConnection(java.lang.String userName,
                                       java.lang.String password)
                                throws JMSException

  The Connection is stopped, but it is active (ready to send and receive traffic), which means the method throws an exception if the group cannot be contacted for some reason.

  Throws:
    `JMSException`
  See Also:
    `javax.jms.ConnectionFactory#createConnection(String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.